Investors, warrants & staking

Get My Trading Plans Scheduled Sales

Returns upcoming scheduled sales derived from the caller's trading plans.

POSThttps://api.toku.com/tga/get-my-trading-plans-scheduled-sales

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/get-my-trading-plans-scheduled-sales' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "orderID": "string",
    "grantName": "string",
    "grantID": "string",
    "executionDate": "string",
    "tokensScheduledForSale": "string",
    "tokensSoldFor": "EURC",
    "minSalePrice": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

anyany

Response

200Successful response
orderIDstringrequired
grantNamestringrequired
grantIDstringrequired
executionDatestringrequired
tokensScheduledForSalestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

tokensSoldForstringrequired

Available options: EURC, USDC, USDT

minSalePricestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits